## mgutenberg 0.3-2

=== Makefile ===

all: deb

REPO=$(HOME)/tekstit/web/txt/repo

deb:
	dpkg-buildpackage -rfakeroot -b 
	mkdir -p dist/deb
	mv ../mgutenberg_* dist/deb

repo:
	cp dist/deb/mgutenberg_*.deb $(REPO)/pool/bora
	cp dist/deb/mgutenberg_*.deb $(REPO)/pool/chinook
	cp mgutenberg.install $(REPO)/singleclick

=== debian/changelog ===
mgutenberg (0.3-2) fremantle; urgency=low

  * Remove dependency on setuptools.

 -- Pauli Virtanen <pav@iki.fi>  Mon, 04 Jan 2010 18:34:29 +0200

mgutenberg (0.3-1) fremantle; urgency=low

  * New version.

 -- Pauli Virtanen <pav@iki.fi>  Tue, 29 Dec 2009 22:12:51 +0200

mgutenberg (0.2-0.1) fremantle; urgency=low

  * New upload

 -- Pauli Virtanen <pav@iki.fi>  Sun, 13 Dec 2009 23:57:00 +0200

mgutenberg (0.1.1-2) hardy; urgency=low

  * New upload.

 -- Pauli Virtanen <pauli.virtanen@iki.fi>  Sat, 19 Apr 2008 15:28:01 +0300

mgutenberg (0.1.1-0.1) gutsy; urgency=low

  * New version.

 -- Pauli Virtanen <pauli.virtanen@iki.fi>  Mon, 17 Sep 2007 00:36:10 +0300

mgutenberg (0.1-0.1) gutsy; urgency=low

  * First release.

 -- Pauli Virtanen <pauli.virtanen@iki.fi>  Sun, 16 Sep 2007 22:32:56 +0300

=== debian/control ===
Source: mgutenberg
Priority: optional
Maintainer: Pauli Virtanen <pav@iki.fi>
Build-Depends: debhelper, python2.5, python-hildon, perl
Standards-Version: 3.6.1

Package: mgutenberg
Section: user/utilities
Architecture: all
Depends: python2.5, python-hildon
Suggests: fbreader
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz
  AAAFEwAABRMBWjvKTwAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAXBSURB
  VEiJpZZriF1XFcd/e+9z79znzGRuZjIPE6vkYVLIo2Oa0FhLsJUq0g9CsFTE+vqgYqCgfhLxi35R
  UHwQH0hDLKQf+jStNIE0mhqijam0oYSaxsQmmczkztx53Dv3nnPP2Wv54dx7p5UBodlw2Ods9ln/
  9V/7v9ba5tQLjz+Rz/jP16rXb0pYK3mfWPGxFR+7zmzFJ0ce/s7TX+I2RoAqqgqKMdaVrQqIQ41g
  Vh5zOyAAgaKggqJqjEsNW8GqS9dVMCq3i0OgItphJMY6TMdw+tge4O0DdUOHqrWux8CogAhXqxF3
  bt9998vHj/7sqRdPbLt/396l4eE1teOnzg7YwOTu2bXzteXWsv3L385PPvTA/gtevTz5/PE7P3Xf
  PX92zvoz518vn33jzcNBiicAYqzFqgV1TM/VsflRvvzNA/z7yrXNJ8+eG/nuwa9VBkpFfnzo8PU9
  u7eP3/+xPfbpYyf3JZoUfvS9x/KvX3jrvtPnXou+/+2vVwbKpYcef/5Pbwxt33RH/vKV04Gq1y4j
  YxwiCVdm2uy99zNs+chmfnP4KFu2brLf+OLnKs+9dIrr09XWt776yAeWlxr89HdPND/74P7K+okx
  fvLrI9FHd2zLHfzKI6UTZ17Vv1++/HZlYt2OLKAimBPPHDpSyCRfWKjNXMn1ZT908sK/mFg3QtQI
  uVpvMrFuDdKOuVZdZqC/yMjgGqq35gm1yfqxUVr1Fhf/c4vJ7VuxYplZrpMbXkOmL5sGS+GlJ4/d
  a0HR9LDVWMfwto20iiVmI2Xwg+NkR0Zo+ixBqcD6reOEvsE7UzN8ePcW2k6Yrc6xa+8GTGaRxdlL
  tERwziGJx8cenySoCIGqgCqoirWOyATcnJ6FOE9JAuYbynxdiJ2lLmWuV2eIYktkB7h2c5ooyrFk
  BqndrGJagxAIPvGgKRtQxCsBotpRnjXGvkeSqqt/vGf9f4Z6QeIUKM1ReGDfnp2BoiiCSjxhrKNI
  lU2jwsLUPGosw8U2hcEmU3UYMrcIRmKWpiL6kyk2jgkz4RIDOkdlTFi8Mc90MoiPfc8jBSa3bv5F
  oKShUxVnrKNJhYXGMs2WUpAc060itaWIlo9YsKNMN2KWw1ssBePM1D21RpM+KoT1Jq2WItYjie+w
  ThmJKhZJE1ZVnLUOgLmZauqQQBIneC+oKHE7Zrne6MQe5mZm03+BxdoCAN6nIpAkQWKPTzwiHpuW
  H03TyDowUBoor1AXJZfPgShB4LDOdVX6rn2QL+bT1I9lRXGxR+KO6iAtnKJCKgZD3I6xgKpiA0vY
  CumWqkwm6KkhbsddCZDECQYQ7/Fx0mOtqqhIykhVQRTTCZ2K9mYfe5yziCjGWtpRu1djs33ZFYMi
  HUa+FzIfe4K4TWWojFVRTduE0D2jbkhEPPlSAecCAnwagkyAJVVVkiQ9WXcrQcaATzxxq8WGgSwH
  PnE3g6VCJ3SdnmSsw/k6a8tKbb6FaJYii8SZBpH1ZDQka2PyGejTBoN5gUyEVaFQzNFYjEA9eR+x
  766NjI5UMCatPJ3Gp7TCiFfPvEzs58kYR38YE4UZTNhHKfIYYoIbFxkPIjJDhuTyW6zVhPJAglbf
  Zm3G0C5ELEkfu3fcgXVKrbaAsQ7rgm5lEIqlfj+xYazZjNWaoBiAxRgAAxgMBpWQciGTmF0GsMZY
  C8ZgjTHGpO/GGJP+a6CzbowhUKSjDO+i5kK5LQU++ekDq5aXc389QbR8rc+kBlMHVgCgY9Tw7rV0
  T9DJIaIwvHT1namf9w1tmjz9yplHjbEUCnlarRART6FQoBmbVy69efEopAaATkqgmJQ1xmjqgAGM
  0nEoSHEU5+yNx3741C9//9tfPVwsFh8Nw4hGo0GxWCSOYxqNBtlc/8WDP/jDoVXp/p8RqIqmrVx7
  V6rJu3auuvkf5//5vm8pQdr4uhcUeObZP7747HPHdqy22Xtf/fj+B98X0H8ByM1swQKfJ1gAAAAA
  SUVORK5CYII=
Description: E-book reader with Project Gutenberg integration
  MGutenberg is an E-book organizer and reader that can search and download
  books directly from Project Gutenberg.
  .
  Supported E-book formats:
    * Plucker (plain text-only)
    * FB2 (plain text-only)
    * HTML (plain text-only)
    * Plain text
  .
  Home page: http://bitbucket.org/pv/mgutenberg/wiki/
XSBC-Bugtracker: http://bitbucket.org/pv/mgutenberg/issues/

## mgutenberg 0.3.1-1

=== debian/changelog ===
mgutenberg (0.3.1-1) fremantle; urgency=low

  * Address some performance issues in HTML viewer.
  * Keep books in the same place as FBReader, ~/MyDocs/Books.
  * Fix small bugs.

 -- Pauli Virtanen <pav@iki.fi>  Tue, 05 Jan 2010 17:19:27 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: all
 Depends: python2.5, python-hildon
 Suggests: fbreader
+XB-Maemo-Display-Name: MGutenberg E-Book Reader
 XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz
   AAAFEwAABRMBWjvKTwAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAXBSURB

## mgutenberg 0.4-1

=== debian/changelog ===
mgutenberg (0.4-1) maverick; urgency=low

  * Add "Recent books" list.
  * Fix Project Gutenberg search results parsing.

 -- Pauli Virtanen <pav@iki.fi>  Sat, 02 Oct 2010 18:17:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mgutenberg
 Priority: optional
 Maintainer: Pauli Virtanen <pav@iki.fi>
-Build-Depends: debhelper, python2.5, python-hildon, perl
+Build-Depends: debhelper, python2.5, python-hildon, perl, maemo-optify
 Standards-Version: 3.6.1
 
 Package: mgutenberg
@@ -50,5 +50,5 @@
     * HTML (plain text-only)
     * Plain text
   .
-  Home page: http://bitbucket.org/pv/mgutenberg/wiki/
-XSBC-Bugtracker: http://bitbucket.org/pv/mgutenberg/issues/
+  Home page: http://github.com/pv/mgutenberg/wiki
+XSBC-Bugtracker: http://github.com/pv/mgutenberg/issues

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

PYTHON2.5 = /usr/bin/python2.5

PKG=mgutenberg
VER=$(shell head -n1 debian/changelog|perl -n -e 'print "$$1" if /([0-9.]+)/')

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -rf build dist *.egg-info
	rm -f */*.pyc */*.pyo
	rm -f debian/*.substvars debian/*.log

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(PYTHON2.5) setup.py install --root=debian/$(PKG)

	install -d debian/$(PKG)/usr/share/applications/hildon
	install -m 644 \
		debian/maemo/desktop \
		debian/$(PKG)/usr/share/applications/hildon/mgutenberg.desktop

	install -d debian/$(PKG)/etc/osso-backup/applications
	install -m 644 \
		debian/maemo/backup \
		debian/$(PKG)/etc/osso-backup/applications/mgutenberg.conf

	install -d debian/$(PKG)/usr/share/pixmaps
	install -m 644 \
		mgutenberg.png debian/$(PKG)/usr/share/pixmaps

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i

	dh_python -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	maemo-optify
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a

	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	maemo-optify
	dh_md5sums -a
	dh_builddeb -a

source: clean
	dh_testdir
	rm -rf dist
	mkdir -p dist/$(PKG)-$(VER)
	-cp -a * dist/$(PKG)-$(VER)
	-cd dist/$(PKG)-$(VER) && dpkg-buildpackage -rfakeroot -sn -S -i -I.hg -k1E3C9230
	rm -rf dist/$(PKG)-$(VER)
	mv dist/* ..
	rmdir dist

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure source
